Subject: bug#35610: Freshly installed IBus intput method is not listed as an input source

From: Chris Marusich <[email-masked]>
Date: Mon, 24 Jun 2019 08:57:55 -0700

sirgazil <[email-masked]> writes:

> Hi,
>
> I installed the GNU system using the Guix System 1.0 ISO installer and
> reconfigured the system to work around the installer "%base-packages"
> bug (https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35541).
>
> When I install the "ibus-anthy" input method, I don't find any way of
> using it because it is not listed in the GNOME input sources, nor in
> the list of input methods in IBus Preferences.
>
>
> ## Steps to reproduce
>
> 1. guix install ibus ibus-anthy font-adobe-source-han-sans
> 2. Go to "GNOME Settings → Language & Region"
> 3. In "Input Sources", click on the Add button (+)
> 4. In the list that appears, select "Japanese"
>
>
> ## Unexpected result
>
> "Japanese (Anthy)" is not listed.
>
>
> ## Expected result
>
> "Japanese (Anthy)" is listed.
>
> Also, adding it to the list of Input Sources enables a new option to
> the right of the GNOME top bar where you can select the different
> Input Sources you have set. When you choose the newly added Japanese
> (Anthy) you can start writing Japanese right away. For example, typing
> "aiueo" would result in "あいうえお".
>
> Also, the keyboard combination Super+Space allows you to alternate between input sources
>
>
> ## Additional information
>
> The Japanese (Anthy) input method is not listed in IBus preferences either. You can check by doing the following:
>
> 1. Click on Activities
> 2. Click on Show Applications
> 3. Click on IBus Preferences
> 4. Click on the Input Method tab
> 5. Click on the Add button
> 6. Click on Japanese
>
> You should be able to see Anthy there, but it isn't.

Please try the following:

1) Make sure you've installed ibus, ibus-anthy, and a font package that
gives you appropriate fonts for Japanese.  For example:

  guix package -i ibus ibus-anthy font-adobe-source-han-sans

2) Make sure you've set the following environment variables in a place
where they will be made available to your desktop environment (in Guix
System, it is sufficient to put this in your ~/.bash_profile):

  export GUIX_GTK2_IM_MODULE_FILE="$HOME/.guix-profile/lib/gtk-2.0/2.10.0/immodules-gtk2.cache"
  export GUIX_GTK3_IM_MODULE_FILE="$HOME/.guix-profile/lib/gtk-3.0/3.0.0/immodules-gtk3.cache"

2) Remove the ibus cache:

  rm -rf ~/.cache/ibus

3) Log out and back in.

I was able to reproduce your issue in a Guix VM, and I was able to
resolve it by taking those steps.  Please let me know if this fixes the
issue for you, as well.

-- 
Chris